.m-mobile-dim(){
    display: block;
    position: fixed;
    top:0;
    bottom: 0;
    right: 0;
    left: 0;
    opacity: 0;
    -webkit-transition: opacity .3s;
    transition: opacity .3s;
    background-color: black;
    height: 0;
} 
.m-mobile-aside(){
    display: block;
    position: fixed;
    width: 220px;
    top: 0;
    right: -100%;
    bottom: 0;
    z-index: 116;
    height: 100%;
    -webkit-backface-visibility: hidden;
    -webkit-transition: right .3s ease;
    transition: right .3s ease;
    padding-top: 30px;
}

.m-mobile-footer(){
    -webkit-transform: translateZ(0);
    transform: translateZ(0);
    -webkit-transition: transform .3s;
    transition: transform .3s;
}

.m-mobile-open-aside(){
    right: 0;
}

.m-body-drawer(){
    > .dim{
        .m-mobile-dim()
    }
     > @{selector_header1}, > @{selector_header2} {
        .toggle-sidebar{
            display: block;
        }
    }
    > @{selector_aside1}, > @{selector_aside2} {
        .m-mobile-aside();
    }
    > @{selector_section1}, > @{selector_section2}{
    }
    > @{selector_footer1}, > @{selector_footer2} {
        .m-mobile-footer();
    }
}
.m-body-drawer-open(){
    > @{selector_aside1}, > @{selector_aside2} {
        right: 0;
    }
    > .dim{
        z-index: 50;
        opacity: .6;
        height: auto;
    }   
}